Subject: Re: [PATCH net-next v2 2/4] can: cc770: add legacy ISA bus driver for the CC770 and AN82527

From: Wolfgang Grandegger <[email-masked]>
Date: Tue, 29 Nov 2011 10:16:28 +0100

On 11/28/2011 05:06 PM, Oliver Hartkopp wrote:
> 
>>> ... using a reasonable default for bcr of 0x40. But you may need to
>>> provide better values for cir, bcr and cor.
>>>
>>
>> OMG, sorry that I was bothering You but You are absolutely right and with Your
>> statement You brought be back on track and You made my day. Thank You !!!!!!
>>
>> I just took the values for cpu and bus I was using in my lincan driver and funny
>> enough now it's working absolutely perfect.
>>
>> Module: modprobe cc770_isa irq=0xa port=0x384 indirect=1 cir=0x61 bcr=0x4A
>>
>> Was just sending 50000 telegrams, perfect and no problem at all.
>>
>> Thanks a lot again!!!!
>>
> 
> 
> This looks like a Tested-by :-)

Wolfgang, I just sent out v4. Any chance to give this patch a try? It
would be best to use a recent kernel version but I could also adapt the
patch to your kernel version, 2.6.39, I think!?

As you are using a CC770 chip, I'm especially interested in the relevant
kernel log (dmesg) and "ip -d -s link show".

Thanks,

Wolfgang.